Package org.springframework.batch.item.jms

# Class JmsMethodInvocationRecoverer<T>

java.lang.Object
org.springframework.batch.item.jms.JmsMethodInvocationRecoverer<T>

All Implemented Interfaces:
  `org.springframework.retry.interceptor.MethodInvocationRecoverer<T>`

public class JmsMethodInvocationRecoverer<T> extends Object implements org.springframework.retry.interceptor.MethodInvocationRecoverer<T>

Author:
  Dave Syer, Mahmoud Ben Hassine

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected org.apache.commons.logging.Log`
  `logger`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JmsMethodInvocationRecoverer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `T`
  `recover(Object[] items, Throwable cause)`
  Send one message per item in the arguments list using the default destination of the jms template.
  `void`
  `setJmsTemplate(org.springframework.jms.core.JmsOperations jmsTemplate)`
  Setter for jms template.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### logger

    protected org.apache.commons.logging.Log logger

- ## Constructor Details

  - ### JmsMethodInvocationRecoverer

    public JmsMethodInvocationRecoverer()

- ## Method Details

  - ### setJmsTemplate

    public void setJmsTemplate(org.springframework.jms.core.JmsOperations jmsTemplate)
    Setter for jms template.
    Parameters:
      `jmsTemplate` - a `JmsOperations` instance

  - ### recover

    @Nullable public T recover(Object[] items, Throwable cause)
    Send one message per item in the arguments list using the default destination of the jms template. If the recovery is successful `null` is returned.
    Specified by:
      `recover` in interface `org.springframework.retry.interceptor.MethodInvocationRecoverer<T>`
    See Also:
      - `MethodInvocationRecoverer.recover(Object[], Throwable)`